For visually impaired users: Browse the streamlined version of our website.

Traxxas Telemetry GPS 2.0 Speed Module

Please be aware that pricing and product availability in-store may vary from what’s available online because each store is independently owned and operated.
Note: Manufacturer does not allow using discount coupons
Low Price: $99.95
Add To Cart Add to Wish List
In Stock Online!
Usually ships in 24 hours
FREE Shipping Eligible!
This item is eligible for Super Saver Shipping Learn More

Upgrade Your Traxxas Model with the TQi Telemetry GPS Speed Module 2.0!

Standard telemetry sensors use your vehicle’s gear ratio and tire size to calculate speed based on RPM. This system works well for hard surfaces, but wheelspin on loose surfaces causes inaccurate speed readings. The Telemetry Expander 2.0 with the installed GPS Module 2.0 provides the most accurate speed data possible. The Traxxas GPS Module 2.0 uses both GPS and GLONASS global positioning to deliver precise, real-time speed information via the Traxxas Link App on your TQi Radio System with Traxxas Link Wireless Module.

The GPS Module 2.0 installs easily inside the waterproof Telemetry Expander Module 2.0 (TRA6550X, sold separately). The Traxxas Link App automatically recognizes the sensor with no other programming or setup required! Once the GPS module is installed, the speedometer reverts to GPS speed instead of estimating the MPH based on gearing and motor RPM. Nothing needs to be reset; just select your preferred gauge and start receiving accurate speed data through the Traxxas Link App.

Features: 

  • Uses GPS and GLONASS global positioning for accurate, real-time speed
  • Speed readout not affected by gear ratio or tire-size
  • Easy plug-and-play installation; no programming required
  • Waterproof when installed
  • Automatically detected and configured by the Traxxas Link App

Important Note: The GPS Module 2.0 (TRA6551X) and Telemetry Expander 2.0 (TRA6550X) replace the original Telemetry Expander (TRA6550) and GPS Module (TRA6551). The originals are not compatible with the new 2.0 versions.

This product was added to our catalog on January 29, 2019